package com.iamberry.wechat.service.wechat.dao;

import com.iamberry.wechat.core.entity.wx.Config;
import com.iamberry.wechat.core.entity.wx.WechatShare;

public interface ConfigDAO {
	public Config getConfig(String appId);
	
	public void updateConfig(Config config);

	/**
	 * 添加一个微信分享的数据
	 * @param wechatShare
	 * @return
	 */
	public int addWechatShare(WechatShare wechatShare);

	/**
	 * 根据URL的hash值，获取对应的数据
	 * @param urlHash
	 * @return
	 */
	public WechatShare selectWechatShareByHash(Integer urlHash);
	
	/**
	 * 更新微信分享的参数
	 * @param share
	 * @return
	 */
	public int updateWechatShareByHash(WechatShare share);
}
